import 'package:flutter_smart_dialog/flutter_smart_dialog.dart';


class NotifyEngine {

  //展示成功 对勾
  static void showSuccess(String message) {
    SmartDialog.showNotify(msg: message, notifyType: NotifyType.success);
  }

  //展示失败 叉叉
  static void showFailure(String message) {
    SmartDialog.showNotify(msg: message, notifyType: NotifyType.failure);
  }

  //展示错误 感叹号
  static void showError(String message) {
    SmartDialog.showNotify(msg: message, notifyType: NotifyType.error);
  }

  // 隐藏
  static void dismiss() {
    SmartDialog.dismiss(status: SmartStatus.allNotify);
  }

}
